Share via


Farm Beats Models - Create Or Update

Create or update FarmBeats resource.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AgFoodPlatform/farmBeats/{farmBeatsResourceName}?api-version=2021-09-01-preview

URI Parameters

Name In Required Type Description
farmBeatsResourceName
path True

string

FarmBeats resource name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

identity

Identity

Identity for the resource.

properties.publicNetworkAccess

PublicNetworkAccess

Property to allow or block public traffic for an Azure FarmBeats resource.

properties.sensorIntegration

SensorIntegration

Sensor integration request model.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

FarmBeats

Success

201 Created

FarmBeats

Success

Other Status Codes

ErrorResponse

Error

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

FarmBeatsModels_CreateOrUpdate

Sample request

PUT https://management.azure.com/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName?api-version=2021-09-01-preview

{
  "location": "eastus2",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  }
}

Sample response

{
  "id": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName",
  "name": "examples-farmbeatsResourceName",
  "type": "Microsoft.AgFoodPlatform/farmBeats",
  "location": "eastus2",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  },
  "systemData": {
    "createdBy": "string",
    "createdByType": "User",
    "createdAt": "2020-02-01T01:01:01.1075056Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-02-01T01:01:01.1075056Z"
  },
  "properties": {
    "instanceUri": "https://examples-farmbeatsResourceName.eastus2.farmbeats.azure.net",
    "provisioningState": "Succeeded"
  }
}
{
  "id": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName",
  "name": "examples-farmbeatsResourceName",
  "type": "Microsoft.AgFoodPlatform/farmBeats",
  "location": "eastus2",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  },
  "systemData": {
    "createdBy": "string",
    "createdByType": "User",
    "createdAt": "2020-02-01T01:01:01.1075056Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-02-01T01:01:01.1075056Z"
  },
  "properties": {
    "instanceUri": "https://examples-farmbeatsResourceName.eastus2.farmbeats.azure.net",
    "provisioningState": "Failed"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FarmBeats

FarmBeats ARM Resource.

Identity

Identity for the resource.

PrivateEndpoint

The private endpoint resource.

PrivateEndpointConnection

The private endpoint connection resource.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

ProvisioningState

Sensor integration instance provisioning state.

PublicNetworkAccess

Property to allow or block public traffic for an Azure FarmBeats resource.

ResourceIdentityType

The identity type.

SensorIntegration

Sensor integration request model.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FarmBeats

FarmBeats ARM Resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

Identity

Identity for the resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.instanceUri

string (uri)

Uri of the FarmBeats instance.

properties.privateEndpointConnections

PrivateEndpointConnection

The private endpoint connection resource.

properties.provisioningState

ProvisioningState

FarmBeats instance provisioning state.

properties.publicNetworkAccess

PublicNetworkAccess

Property to allow or block public traffic for an Azure FarmBeats resource.

properties.sensorIntegration

SensorIntegration

Sensor integration request model.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

Identity

Identity for the resource.

Name Type Description
principalId

string (uuid)

The principal ID of resource identity. The value must be an UUID.

tenantId

string (uuid)

The tenant ID of resource. The value must be an UUID.

type

ResourceIdentityType

The identity type.

PrivateEndpoint

The private endpoint resource.

Name Type Description
id

string

The ARM identifier for private endpoint.

PrivateEndpointConnection

The private endpoint connection resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.groupIds

string[]

The group ids for the private endpoint resource.

properties.privateEndpoint

PrivateEndpoint

The private endpoint resource.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

properties.provisioningState

PrivateEndpointConnectionProvisioningState

The provisioning state of the private endpoint connection resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

The current provisioning state.

Value Description
Succeeded
Creating
Deleting
Failed

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

Value Description
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

Name Type Description
actionsRequired

string

A message indicating if changes on the service provider require any updates on the consumer.

description

string

The reason for approval/rejection of the connection.

status

PrivateEndpointServiceConnectionStatus

Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service.

ProvisioningState

Sensor integration instance provisioning state.

Value Description
Creating
Updating
Deleting
Succeeded
Failed

PublicNetworkAccess

Property to allow or block public traffic for an Azure FarmBeats resource.

Value Description
Enabled
Hybrid

ResourceIdentityType

The identity type.

Value Description
SystemAssigned

SensorIntegration

Sensor integration request model.

Name Type Description
enabled

string

Sensor integration enable state. Allowed values are True, None

provisioningInfo

ErrorResponse

Error response
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

provisioningState

ProvisioningState

Sensor integration instance provisioning state.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.